> For the complete documentation index, see [llms.txt](https://docs.uma.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uma.xyz/developers/optimistic-oracle-v3/assert_truth-deprecation.md).

# ASSERT\_TRUTH Deprecation

As of December 8th, 2025. [ASSERT\_TRUTH2](https://github.com/UMAprotocol/UMIPs/pull/629/files#diff-f961c56cb0d079742c67cdc3d0f1a36119daf1f46416a59c1f3ac68be7bade0c) is the intended identifier to be used with OOV3. The original [ASSERT\_TRUTH](https://github.com/UMAprotocol/UMIPs/blob/master/UMIPs/umip-170.md) identifier will be deprecated as of December 15, 2025. These identifiers have the same specifications and the change is only to break support for deprecated projects.

**Please note:** after these changes do not use the following OOV3 functions:

* the `assertTruthWithDefaults` function will always revert as it hardcodes in the ASSERT\_TRUTH identifier
* the `defaultIdentifier` public constant variable will return the deprecated ASSERT\_TRUTH identifier


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uma.xyz/developers/optimistic-oracle-v3/assert_truth-deprecation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
